        body { font-family: 'Inter', sans-serif; }
        .serif { font-family: 'Playfair Display', serif; }
        /* Custom scrollbar */
        ::-webkit-scrollbar { width: 5px; }
        ::-webkit-scrollbar-track { background: transparent; }
        ::-webkit-scrollbar-thumb { background: black; }
        .dark ::-webkit-scrollbar-thumb { background: white; }

        /* --- Jekyll Markdown Custom Styles --- */
        h3, h4, h5, h6 {
            font-family: 'Inter', sans-serif;
            font-weight: 900;
            text-transform: uppercase;
            letter-spacing: -0.05em; /* Fixed: 'tracking' is not CSS, use letter-spacing */
            line-height: 0.9;
            margin-top: 2.5rem;
            margin-bottom: 1.5rem;
        }

        h1 { font-size: 4rem; text-transform: none; font-family: 'Playfair Display', serif; }
        h2 { font-size: 3rem; border-bottom: 4px solid padding-bottom: 0.5rem; font-weight: 900; }
        
        #question, #answer {
            font-family: 'Inter', sans-serif;
            font-size: 1.25rem;
            line-height: 1.8;
            margin-bottom: 1.5rem;
            font-weight: bold;
        }

        hr { border: none; border-top: 0px solid black; margin: 3rem 0; }
        
        .footnotes {
            margin-top: 4rem;
            padding-top: 2rem;
            border-top: 1px solid #e5e5e5;
            font-size: 0.875rem;
            color: #666;
        }
        .footnotes ol { list-style-type: decimal; !important; list-style-position: inside;font-size: 0.875rem;}
        article ol { list-style-type: decimal; !important; padding-bottom: 24px;list-style-position: inside;font-size: 1.125rem;line-height: 1.75;}
        article ul { list-style-type: circle; !important;padding-bottom: 24px;list-style-position: inside;font-size: 1.125rem;line-height: 1.75;}
        article p {
            margin-bottom: 1.5rem;
            font-size: 1.125rem;
            line-height: 1.75;
        }